Issue 4297

Summary: Spell Check Includes Punctuation (such as ellipses) as Part of Words
Product: Writer Reporter: Unknown <non-migrated>
Component: uiAssignee: khendricks
Status: CLOSED WONT_FIX QA Contact: issues@sw <issues>
Severity: Trivial    
Priority: P3 CC: issues, khendricks
Version: OOo 1.0.0   
Target Milestone: ---   
Hardware: PC   
OS: Windows 98   
Issue Type: DEFECT Latest Confirmation in: ---
Developer Difficulty: ---

Description Unknown 2002-04-29 02:02:45 UTC
The spell checker in the word processor component of openoffice.org includes
periods as part of words.

For example, if I type:
This is a sentence, and it has several words.

then the word "words" will be marked as spelled incorrectly because of the
period that follows it.  The word "sentence," however, is marked as spelled
correctly, even though it has a comma after it.

Of course, one would expect neither words with periods after them nor words with
commas after them to be marked spelled incorrectly.

This occurs both with the on-the-fly spell check and the manual spellcheck.
Comment 1 Unknown 2002-05-13 01:57:29 UTC
I recently upgraded to OpenOffice.org 1.0.

The problem with the periods has been fixed.  However, in the
following sentences:

This is a test.  Does it work?  Hmm...it looks like it does.  This is
exciting—it (somewhat) works!  

the spell-checker flags "Hmm...it" and "exciting—it".
Comment 2 khendricks 2002-05-13 19:30:49 UTC
 Hi, 
 
expect-it is incorrect and should be marked that way - shouldn't it. 
 
Also, shouldn't it be correctly written: 
 
Hmm ... it  
 
 
instead of  
 
Hmm...it 
 
I would have to check a book on punctuation to know for sure? 
 
Thanks, 
 
Kevin 
 
Comment 3 Unknown 2002-05-13 21:43:14 UTC
I originally typed the phrase "exciting-it" as "exciting--it", and
Openoffice.org properly changed the two hyphens into one dash (longer
line).  When I copied it, though, the dash looked the same as a hyphen.

The following is from A Writer's Reference by Diana Hacker.

P7-d: The dash.

When typing, use two hyphens to form a dash (--).  Do not put spaces
before or after the dash.

Also...

P7-g: The ellipsis mark

The ellipsis mark consists of three spaced periods.  Use an ellipsis
mark to indicate that you have deleted material from an otherwise
word-for-word quotation.

Reuben reports that "when the amount of cholesterol circulating in the
blood rises over . . . 300 milligrams per 100, the chances of a heart
attack increase dramatically."

[snip]

The ellipsis mark may also be used to mark a hesitation or an
interruption in speech or to suggest unfinished thoughts.

Before falling into a coma, the victim whispered, "It was a man with a
tattoo on his. . . ."

[end quotes]

The only difference between what I originally though and what this
reference says is that the dots in the ellipsis need to be spaced. 
When typed, though, it looks like there is a space between the periods
in the ellipsis...even the ellipsis character (Alt+0133 in Windows)
looks the same as non-spaced periods.  Therefore, I would recommend
fixing both of these problems as originally stated.

If these are not recognized as correct, the spell-checker should at
least make the proper suggestion.

For the ellipsis, I believe the three periods should automatically be
changed into the ellipsis character (Alt+0133 as mentioned above)--I
have filed issue 4810 regarding this enhancement.
Comment 4 khendricks 2002-05-13 23:31:07 UTC
 Hi,  
 
The original bug as filed is fixed in OOo 1.0.0 
  
The embedded dash issue has previously been reported and is being 
looked at as a separate issue.  
  
The ellipsis with spaces between the individual dots is properly 
handled.  
  
Please close this issue as fixed.  
  
Kevin  
 
Comment 5 Unknown 2002-05-13 23:57:12 UTC
Well...how about if I use the ellipsis character?

If I type:
This is a sentence(Alt+0133)with an ellipsis.

The sentence is perfectly valid, but the spellchecker flags it, and
does not suggest anything to replace it.

Even if the sentence were invalid, the spellchecker should at least
suggest a correct version of the phrase, and not just present the user
with no options at all.

BTW, do you know the number of the dash issue?
Comment 6 khendricks 2002-06-04 14:56:22 UTC
 taking ownership of this isse since it is lingucomponent related 
Comment 7 khendricks 2002-06-04 14:59:42 UTC
The ellipsis character when properly separated from the preceding  
word by a space (which is what my English dictionary says is the  
correct way) works fine.  
  
The embedded dash issue is open elsewhere so resolving this one as 
"WONTFIX".  The embedded dash issue is being fixed for the 
development tree in breakiterator.cxx. 
 
Thanks, 
 
Kevin 
  
Comment 8 michael.bemmer 2003-03-11 18:11:33 UTC
As mentioned on the qa dev list on March 5th I will close all resolved duplicate
issues. Please see this posting for details. First step in IssueZilla is
unfortunately to set them to verified.
Comment 9 michael.bemmer 2003-03-11 18:11:53 UTC
As mentioned on the qa dev list on March 5th I will close all resolved
<wontfix/duplicate/worksforme/invalid> issues. Please see this posting for
details. First step in IssueZilla is unfortunately to set them to verified.
Comment 10 michael.bemmer 2003-03-11 18:19:01 UTC
As mentioned on the qa dev list on March 5th I will close all resolved
<wontfix/duplicate/worksforme/invalid> issues. Please see this posting for details.